import { StateStream } from 'rxact';
import createObserver from './createObserver';

export var plugin = function plugin(instance) {
  var _createObserver = createObserver(instance.state$),
      decorator = _createObserver.decorator,
      subscription = _createObserver.subscription;

  instance.observer = decorator;
  instance.subscriptions.push(subscription);
};